Debian Bug report logs - #205508
/usr/share/doc/dialog/examples: DIALOG=${DIALOG=dialog}: wasted operations

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Fri, 15 Aug 2003 05:18:02 UTC

Severity: minor

Tags: upstream

Found in version 0.9b-20030720-1

Fixed in version dialog/0.9b-20030818-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas E. Dickey <dickey@herndon4.his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#205508; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/doc/dialog/examples: DIALOG=${DIALOG=dialog}: wasted operations
Date: Fri, 15 Aug 2003 11:53:16 +0800
Package: dialog
Version: 0.9b-20030720-1
Severity: minor
File: /usr/share/doc/dialog/examples

I would write
DIALOG=${DIALOG=dialog}
as
: ${DIALOG=dialog}
or
: ${DIALOG:=dialog}

Indeed, you have a wasted operation in there already,
bad:
DIALOG=${DIALOG-dialog}
worse:
DIALOG=${DIALOG=dialog}




Tags added: upstream Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to Thomas E. Dickey <dickey@herndon4.his.com>. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#205508; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #14 received at 205508@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Dan Jacobson <jidanni@jidanni.org>, 205508@bugs.debian.org
Subject: Re: Bug#205508: /usr/share/doc/dialog/examples: DIALOG=${DIALOG=dialog}: wasted operations
Date: Fri, 15 Aug 2003 18:40:04 -0400
On Fri, Aug 15, 2003 at 11:53:16AM +0800, Dan Jacobson wrote:
> Package: dialog
> Version: 0.9b-20030720-1
> Severity: minor
> File: /usr/share/doc/dialog/examples
> 
> I would write
> DIALOG=${DIALOG=dialog}
> as
> : ${DIALOG=dialog}

so would I - had overlooked this since it happened to work.
will be in my next patch.

> or
> : ${DIALOG:=dialog}
> 
> Indeed, you have a wasted operation in there already,
> bad:
> DIALOG=${DIALOG-dialog}
> worse:
> DIALOG=${DIALOG=dialog}
> 
> 

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 205508-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 205508-close@bugs.debian.org
Subject: Bug#205508: fixed in dialog 0.9b-20030818-1
Date: Tue, 19 Aug 2003 12:17:07 -0400
We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20030818-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20030818-1.diff.gz
dialog_0.9b-20030818-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20030818-1.dsc
dialog_0.9b-20030818-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20030818-1_i386.deb
dialog_0.9b-20030818.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20030818.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 205508@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 19 Aug 2003 17:50:48 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20030818-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 201215 205508 205509
Changes: 
 dialog (0.9b-20030818-1) unstable; urgency=low
 .
   * New upstream release. It should fix the following bugs:
   - Correct layout of --menu widget (Closes: #201215).
   - Use consistent definition of $DIALOG in examples (Closes: #205508).
   - Exit with error if it cannot find a way to do output (Closes: #205509).
   * Changed Build-Depends to libncursesw5-dev (>= 5.3) for multibyte support
     and added --with-ncursesw to the debian/rules configure line accordingly.
   * Added a lot of samples to the examples directory.
   * Converted debian changelog to utf8.
Files: 
 b4178a70e4bef92e4efc4a8cafad0058 596 misc optional dialog_0.9b-20030818-1.dsc
 9e9e39d14810e937efe06a865bb2b5a3 232593 misc optional dialog_0.9b-20030818.orig.tar.gz
 846aba65e30daeb9566af5e007468647 6350 misc optional dialog_0.9b-20030818-1.diff.gz
 9636360cda7f3fe4f0df7b1646307034 140372 misc optional dialog_0.9b-20030818-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/QkjVd9Uuvj7yPNYRAlxvAJ9gmFQnZaK1u4MXZo0WqgEjWjN4ywCdGWRh
1lAAdxU/CwCRIe3u6lQ3zdo=
=aWR+
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:17:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.